> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Redeploy Custom Deployment



## OpenAPI

````yaml https://api.truestate.io/openapi.json post /deployments/custom-serving/{deployment_id}/redeploy/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /deployments/custom-serving/{deployment_id}/redeploy/:
    post:
      tags:
        - deployments
      summary: Redeploy Custom Deployment
      operationId: >-
        redeploy_custom_deployment_deployments_custom_serving__deployment_id__redeploy__post
      parameters:
        - name: deployment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Deployment Id
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/RedeployModelDeployment'
                - type: 'null'
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeploymentRead'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RedeployModelDeployment:
      properties:
        cloud_run_config:
          additionalProperties: true
          type: object
          title: Cloud Run Config
      type: object
      title: RedeployModelDeployment
    DeploymentRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        model_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Model Id
        model_version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Model Version Id
        target_model_version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Target Model Version Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        service_name:
          type: string
          title: Service Name
        status:
          type: string
          title: Status
          default: Pending
        rollout_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollout Status
        rollout_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollout Error
        rollout_request_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Rollout Request Id
        rollout_queued_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Rollout Queued At
        annotations:
          additionalProperties: true
          type: object
          title: Annotations
        cloud_run_config:
          additionalProperties: true
          type: object
          title: Cloud Run Config
        organisation_id:
          type: string
          title: Organisation Id
        current_deployment_version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Current Deployment Version Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        lower_env_deployment_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Lower Env Deployment Id
        higher_env_deployment_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Higher Env Deployment Id
      type: object
      required:
        - id
        - name
        - description
        - service_name
        - organisation_id
        - created_at
        - updated_at
      title: DeploymentRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````